<template>
  <v-card flat :max-width="900" class="ma-auto">
    <v-timeline :reverse="reverse">
      <!-- <template v-slot:opposite>
        <span :class="`headline font-weight-bold ${item.color}--text`" v-text="item.title"></span>
      </template>
      <div class="py-4">
        <h2
          v-if="item.subtitle"
          :class="`headline font-weight-light mb-4 ${item.color}--text`"
          v-text="item.subtitle"
        ></h2>
        <div>
          <contact-us-tel>tels</contact-us-tel>
        </div>
      </div>
    </v-timeline-item> -->

      <v-timeline-item color="cyan" left small>
        <template v-slot:opposite>
          <span class="headline font-weight-bold cyan--text">Контактные телефоны</span>
        </template>

        <div class="py-4">
          <h2 class="headline font-weight-light mb-4 cyan--text">Москва и регионы РФ</h2>
          <div>
            <!-- <span class="mr-2">По номерам</span> -->
            <v-chip
              v-for="(tel, i) in settings.tel"
              :key="`contact-us-tel-${i}`"
              label
              color="cyan lighten-4"
              class="mr-2"
              v-text="tel.value"
            ></v-chip>
          </div>
        </div>
      </v-timeline-item>

      <v-timeline-item color="green" right small>
        <template v-slot:opposite>
          <span class="headline font-weight-bold green--text">E-mail адреса</span>
        </template>

        <div class="py-4">
          <h2 class="headline font-weight-light mb-4 green--text">Напишите нам</h2>
          <div>
            <p>
              <span class="mr-2">На почту</span>
              <v-chip
                v-for="(mail, i) in settings.mail"
                :key="`contact-us-mail-${i}`"
                label
                color="green lighten-4"
                class="mr-2"
                :href="`mailto:${mail.value}`"
                v-text="mail.value"
              ></v-chip>
            </p>
            <!-- <p>
              <span class="mr-2">или воспользуйтесь</span>
              <v-chip label color="green lighten-4" class="mr-2">обратной связью</v-chip>
            </p> -->
          </div>
        </div>
      </v-timeline-item>

      <v-timeline-item color="pink" left small>
        <template v-slot:opposite>
          <span class="headline font-weight-bold pink--text">Местоположение</span>
        </template>

        <div class="py-4">
          <h2 class="headline font-weight-light mb-4 pink--text">Мы находимся по адресу</h2>
          <div>
            <span>{{ settings.address[0].value }}</span>
            <v-chip
              label
              color="pink lighten-4"
              class="ml-2"
              :href="`https://yandex.ru/maps?text=${settings.address[0].value}`"
              target="_blank"
              >Посмотреть на карте</v-chip
            >
          </div>
        </div>
      </v-timeline-item>
    </v-timeline>
  </v-card>
</template>

<script>
export default {
  /* components: {
    ContactUsTel: {
      render(createElement) {
        return createElement('v-chip', this.$slots.default)
      },
    },
  }, */

  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  data: () => ({
    title: '',
    pageData: null,
    reverse: false,
  }),

  computed: {
    settings() {
      return this.layout.settings
    },

    /* tel() {
      return this.settings.tel.map(item => ['v-chip', item.value])
    },

    layoutItems() {
      // if (this.pageData === null) return []

      return [
        {
          title: 'Позвоните нам',
          subtitle: 'Звоните в любое время',
          color: 'cyan',
          content: [['span', 'по номерам'], ...this.tel],
        },
        {
          title: 'E-mail',
          color: 'green',
          content: '',
        },
        {
          title: 'Адреса',
          color: 'pink',
          content: '',
        },
      ]
    }, */
  },

  created() {},
}
</script>
